Ruby - Misc #18888

Migrate ruby-lang.org mail services to Google Domains and Google Workspace
06/30/2022 03:22 AM - shugo (Shugo Maeda)

Status: Closed

Priority: Normal

Assignee: hsbt (Hiroshi SHIBATA)
Description

Currently mail services of ruby-lang.org including mailing lists are running on an aged server, and we have to replace it.
We are planning to migrate the mail services to Google Domains and Google Workspace (Google Groups).

The maximum numbr of Google Domains email aliases is 100, but currently ruby-lang.org has 153 email aliases, so we have to
reduce them.
The number of active committers listed in email.yml is 58.

History

#1 - 06/30/2022 08:31 PM - Dan0042 (Daniel DeLorme)

Not sure if this applies to your situation, but a very quick warning based on my own experience: we use a Google Domains email address to send a
fairly low volume of transactional emails, and that's enough to trigger Google's automated filters. Every 30 days the account is auto-disabled because
"It looks like it was being used in a way that violated Google's policies" and | need to manually re-enable it.

So if you intend to send automated emails (such as commit notifications on ruby-cvs), just be aware that Google Domains is no replacement for
email-sending services like Sendgrid/Mailgun.

#2 - 06/30/2022 09:14 PM - shugo (Shugo Maeda)

Thanks for the information.

We are not going to use Google Domains to send emails, but we may reconsider it.

#3 - 07/11/2022 11:05 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Assigned

- Assignee set to hsbt (Hiroshi SHIBATA)

FYI: I migrated to ruby-lang.org from AWS Route53 to Google Domains today. It remains old DNS records.

We will remove the obsoleted records and prepare email aliases for Ruby core members.

#4 - 07/22/2022 01:20 AM - shugo (Shugo Maeda)

I've sent the following E-mail to adresses to be removed:

Subject: youraddress@ruby-lang.org will be removed on 2022-09-30

Hello,

We are going to migrate the mail server of ruby-lang.org to Google Domains and Google Workspace:
https://bugs.ruby-lang.org/issues/18888

Unfortunately, the limit of aliases of Google Domains is 100, and we have to reduce aliases.
We have decided to remove E-mail addresses not listed in the following active committer list:

https://github.com/ruby/ruby-commit-hook/blob/master/config/email.yml
So your E-mail adderss at ruby-lang.org will be removed on 2022-09-30.
If you have any problems, please contact shugo at ruby-lang.org and hsbt at ruby-lang.org.
#5 - 07/22/2022 01:41 AM - mame (Yusuke Endoh)
To all the old-time commuters,

Though we have to reduce the mail aliases for a technical reason, this does NOT mean that we will reject your contributions. Just send us a PR to
add your email address to https://github.com/ruby/ruby-commit-hook/blob/master/config/email.yml and you will be able to commit. We look forward to
having you back!

#6 - 09/28/2022 03:44 AM - hsbt (Hiroshi SHIBATA)

| prepared mail aliases for enabled users of https:/github.com/ruby/ruby-commit-hook/blob/master/config/email.yml. But some of users use different
email addresses of the current ruby-lang.org settings. | choose the current settings instead of email.yml.

And | send the verification mail for them. Please verify your mail-address like gmail, yahoo or others for aliasing ruby-lang.org.

#7 - 10/01/2022 10:22 PM - normalperson (Eric Wong)
"hsbt (Hiroshi SHIBATA)" noreply@ruby-lang.org wrote:

| prepared mail aliases for enabled users of
https://github.com/ruby/ruby-commit-hook/blob/master/config/email.yml.
But some of users use different email addresses of the current
ruby-lang.org settings. | choose the current settings instead

of email.yml.

And | send the verification mail for them. Please verify your
mail-address like gmail, yahoo or others for aliasing
ruby-lang.org.

| tried to follow the link but it expects me to run JavaScript.
I'm not willing to let my workflow depend on JS nor having
supported graphics drivers for my ancient hardware to run
JS-capable browsers nor am | willing to deal with monopolistic

corporations.

Please remove me from Ruby committers; | don't see any future
for me in software development.

Thanks.
#8 - 10/01/2022 11:31 PM - shugo (Shugo Maeda)
normalperson (Eric Wong) wrote in #note-7:
And | send the verification mail for them. Please verify your
mail-address like gmail, yahoo or others for aliasing
ruby-lang.org.
| tried to follow the link but it expects me to run JavaScript.
I'm not willing to let my workflow depend on JS nor having
supported graphics drivers for my ancient hardware to run
JS-capable browsers nor am | willing to deal with monopolistic
corporations.
Please remove me from Ruby committers; | don't see any future
for me in software development.

The verification is not for git, but for mail forwarding from normalperson@ruby-lang to your e-mail address.

You can commit without normalperson@ruby-lang.org, if you use your own e-mail address as a git author/committer email.

#9 - 10/01/2022 11:43 PM - hsbt (Hiroshi SHIBATA)
I will migrate MX record to Google Domains at Oct 2, 2022. Please verify your address ASAP.

#10 - 10/02/2022 01:03 AM - normalperson (Eric Wong)

"shugo (Shugo Maeda)" noreply@ruby-lang.org wrote:

normalperson (Eric Wong) wrote in #note-7:
And | send the verification mail for them. Please verify your

mail-address like gmail, yahoo or others for aliasing
ruby-lang.org.

06/16/2025 2/4


https://github.com/ruby/ruby-commit-hook/blob/master/config/email.yml
mailto:noreply@ruby-lang.org
https://github.com/ruby/ruby-commit-hook/blob/master/config/email.yml
mailto:normalperson@ruby-lang.org
mailto:noreply@ruby-lang.org

| tried to follow the link but it expects me to run JavaScript.

I'm not willing to let my workflow depend on JS nor having
supported graphics drivers for my ancient hardware to run
JS-capable browsers nor am | willing to deal with monopolistic
corporations.

Please remove me from Ruby committers; | don't see any future
for me in software development.

The verification is not for git, but for mail forwarding from normalperson@ruby-lang to your e-mail address.

You can commit without normalperson@ruby-lang.org, if you use your own e-mail address as a git author/committer email.

It doesn't matter. I'm not interested in being part of a community
that expects me to have working graphics drivers, run JS, nor
deal with monopolistic corporations.

Thanks.

#11 - 10/02/2022 07:51 AM - bbrkim (Benson Muite)

Server administration can take time away from further developing Ruby. Supporting contributions from a diverse set of people is also good.

Maybe the following might be of interest:

https://www.gandi.net/en/domain/email

https://api.gandi.net/docs/email/

There is no limit on email aliases. There are other domain name registrars without aliasing restriction, though volume of messages sent is quite large.

In principle, | or other community members can also run a mail server and/forge for ruby-lang.org

For forges, probably community discussion is required. Following maybe helpful:
https://www.gnu.org/software/repo-criteria-evaluation.html
ease of use of a forge may also be a consideration, as well as facilitation of command line driven workflows.

#12 - 10/02/2022 09:29 PM - hsbt (Hiroshi SHIBATA)

- Status changed from Assigned to Closed

| finished this migration. Please ask me if you can't receive mail at your ruby-lang.org address.

#13 - 10/03/2022 01:35 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Closed to Assigned

We found some issues related to mailing-list. | did rollback MX records.

#14 - 10/03/2022 09:31 AM - hsbt (Hiroshi SHIBATA)

| added mailing-list configurations to Google Domains and migrate MX records again.

#15 - 10/03/2022 10:57 AM - hsbt (Hiroshi SHIBATA)

This is test comment for mailing-list integration for redmine.

#16 - 10/03/2022 11:11 PM - hsbt (Hiroshi SHIBATA)

- Status changed from Assigned to Closed

It works now.

#17 - 10/05/2022 11:24 PM - hsbt (Hiroshi SHIBATA)

- Status changed from Closed to Assigned

The following users are still unverified.

e akr@ruby-lang.org

e aycabta@ruby-lang.org
® ayumin@ruby-lang.org
e byroot@ruby-lang.org
gotoken@ruby-lang.org
jaruga@ruby-lang.org
kosaki@ruby-lang.org
odaira@ruby-lang.org
okkez@ruby-lang.org
pocke@ruby-lang.org
sorah@ruby-lang.org

stomar@ruby-lang.org
suke@ruby-lang.org
takano32@ruby-lang.org
wanabe@ruby-lang.org

yugui@ruby-lang.org

| send verification request again. | will remove their aliases on Oct 11, if they are unverified.

#18 - 10/11/2022 11:55 PM - hsbt (Hiroshi SHIBATA)

- Status changed from Assigned to Closed

done.
